<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.1.3/axios.min.js"
        integrity="sha512-0qU9M9jfqPw6FKkPafM3gy2CBAvUWnYVOfNPDYKVuRTel1PrciTj+a9P3loJB+j0QmN2Y0JYQmkBBS8W+mbezg=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <!-- font-awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css"
        integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <link rel="stylesheet" href="css/main.css">
</head>

<body>

    <div id="loading">
        <div class="spinner-border text-primary" role="status">
            <span class="sr-only">Loading...</span>
        </div>
    </div>

    <div class="container">
        <div class="input mb-5">
            <div class="input-wrapper row">
                <div class="col-6">
                    <div class="form-group">
                        <label for="id">id</label>
                        <input type="text" id="id" class="form-control" readonly>
                    </div>
                    <div class="form-group">
                        <label for="list">List</label>
                        <input type="text" id="list" class="form-control" placeholder="list">
                    </div>
                    <div>
                        <label for="title">Title</label>
                        <input type="text" id="title" class="form-control" placeholder="title">
                    </div>

                    <div class="form-group">
                        <label for="note">Note</label>
                        <input type="text" id="note" class="form-control" placeholder="note">
                    </div>
                </div>
                <div class="col-6">
                    <div class="form-group">
                        <label for="status">Status</label>
                        <input type="text" id="status" class="form-control" placeholder="Title (name)">
                    </div>
                    <div class="form-group">
                        <label for="startFrom">Start From</label>
                        <input type="text" id="startFrom" class="form-control" placeholder="status">
                    </div>
                    <div>
                        <label for="title">Duration</label>
                        <input type="text" id="duration" class="form-control" placeholder="duration">
                    </div>
                    <div class="form-group">
                        <label for="isCompleted">isCompleted</label>
                        <input type="text" id="isCompleted" class="form-control" placeholder="is completed">
                    </div>
                </div>
            </div>
            <div class="btn-wrapper">
                <button class="btn btn-warning" onclick="addTask()">Add Todo</button>
                <button class="btn btn-primary" onclick="updateTask()">Update Todo</button>
            </div>
        </div>
        <div class="output">
            <table>
                <thead>
                    <tr>
                        <th>Id</th>
                        <th>List</th>
                        <th>Title</th>
                        <th>Note</th>
                        <th>Status</th>
                        <th>Start From</th>
                        <th>Duration</th>
                        <th></th>
                        <th><i class="fa-solid fa-gear"></i></th>
                    </tr>
                </thead>
                <tbody id="tbody">
                </tbody>
            </table>
        </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>

    <script src="./js/controller/controller.js"></script>
    <script src="./js/index.js"></script>
</body>

</html>